Runs
Get scored metrics and provenance
GET
/
api
/
v1
/
evaluations
/
{id}
/
result
Get scored metrics and provenance
curl --request GET \
--url https://dev.simforge.ai/api/v1/evaluations/{id}/result \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.simforge.ai/api/v1/evaluations/{id}/result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.simforge.ai/api/v1/evaluations/{id}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"manifestSchema": "<string>",
"status": "succeeded",
"scored": true,
"evidenceRetainedUntil": "<string>",
"manifest": {},
"metrics": {},
"artifacts": [
{
"role": "<string>",
"artifactId": "<string>",
"mediaType": "<string>",
"bytes": 1,
"sha256": "<string>"
}
]
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}Authorizations
A sfc_at_… access token from simforge login, or an sfk_… API key. An operation's security lists the scopes the credential must hold.
Path Parameters
Response
Evaluation data.
Available options:
succeeded, partial, failed, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get scored metrics and provenance
curl --request GET \
--url https://dev.simforge.ai/api/v1/evaluations/{id}/result \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.simforge.ai/api/v1/evaluations/{id}/result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.simforge.ai/api/v1/evaluations/{id}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"manifestSchema": "<string>",
"status": "succeeded",
"scored": true,
"evidenceRetainedUntil": "<string>",
"manifest": {},
"metrics": {},
"artifacts": [
{
"role": "<string>",
"artifactId": "<string>",
"mediaType": "<string>",
"bytes": 1,
"sha256": "<string>"
}
]
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}